<if "" eq @message@>
<div id="map" style="width: @width@px; height: @height@px;"></div>

<script>

// Create a map
var map = L.map('map').setView([@zoom_lat@, @zoom_lng@], @zoom_zoom@);
L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
    attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
}).addTo(map);

var iconUrls = {
    blue: "/intranet-leaflet/resources/marker-0067a3.png",
    light_blue: "/intranet-leaflet/resources/marker-38aadd.png",
    blue_grey: "/intranet-leaflet/resources/marker-436978.png",
    purple: "/intranet-leaflet/resources/marker-5b396b.png",
    green: "/intranet-leaflet/resources/marker-728224.png",
    light_green: "/intranet-leaflet/resources/marker-72b026.png",
    red: "/intranet-leaflet/resources/marker-a23336.png",
    light_red: "/intranet-leaflet/resources/marker-d13d29.png",
    pink: "/intranet-leaflet/resources/marker-d252b9.png",
    orange: "/intranet-leaflet/resources/marker-f69730.png"
};

// Loop through all companies and put a marker for each.
var store = @store;noquote@;

store.each(function(model) {

    // Get basic properties of the customer
    var count = parseInt(model.get('cnt'));
    var lat = parseFloat(model.get('geo_lat'));
    var lng = parseFloat(model.get('geo_lng'));
    var color = model.get('color');
    var countryCode = model.get('country_code');
    var countryName = model.get('country_name');

    var popup = "<b><a href=/intranet-leaflet/crm-ip-country?diagram_country_code="+countryCode+" target=_>"+countryName+"</a></b><br>";
    popup = popup+'Hits: '+count;

    // Determine the size of the marker icon to be shown:
    // revenue < 1000: f=0.3, revenue > 40000: f=1.0, everything else in the middle
    var sq = Math.cbrt(count); 
    if (sq > 1000) sq = 1000.0;
    var f = 0.01 + 0.5 * sq/100.0;
    var iconUrl = iconUrls[color];
    var icon = L.icon({
        iconUrl: iconUrl,
        iconSize: [25*f, 41*f],
        iconAnchor: [12*f, 41*f],
        popupAnchor: [1, -34*f],
        shadowUrl: '/intranet-leaflet/resources/marker-shadow.png',
        shadowSize: [41*f, 41*f],
        shadowAnchor: [12*f, 41*f]
    });

    // Geo-position was calculated before, so just add the popup
    if (!!lat && !!lng) {
        var marker = L.marker([lat, lng], {icon: icon}).addTo(map).bindPopup(popup);
    };

    return;
});

</script>
</if>
<else>
@message;noquote@
<!--
<br>
switch_string: @switch_string@<br>
@lock@: @lock_exists_p@<br>
@aggr@: @aggr_exists_p@<br>
-->
</else>


